﻿<%@ Page Language="C#" MasterPageFile="~/CRMaster.master" AutoEventWireup="true" CodeFile="AccessDenied.aspx.cs" Inherits="AccessDenied" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphMainHeader" runat="Server">
</asp:Content>
<asp:Content ID="CenterColumnContent" ContentPlaceHolderID="CenterColumn" runat="Server">
    <div id="ContentTitleDiv">
        <asp:Literal runat="server" ID="ltlTitle"></asp:Literal>
    </div>
    <div id="ContentBodyDiv">
        <asp:Image ID="imgLock" runat="server" ImageUrl="~/images/lock.gif" ImageAlign="left"
            AlternateText="Access denied" />
        <asp:Login runat="server" ID="adLogin" CreateUserUrl="~/Register.aspx" Width="300">
            <LayoutTemplate>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td width="60px">
                            <asp:Label runat="server" ID="lblUserName" AssociatedControlID="UserName" Text="Username:"
                                meta:resourcekey="lblUserNameResource1" />
                        </td>
                        <td>
                            <asp:TextBox ID="UserName" runat="server" Width="95%" Columns="30" meta:resourcekey="UserNameResource2" />
                        </td>
                        <td width="5px" align="right">
                            <asp:RequiredFieldValidator ID="valRequireUserName" runat="server" SetFocusOnError="True"
                                ControlToValidate="UserName" Text="*" ValidationGroup="Login" meta:resourcekey="valRequireUserNameResource1" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblPassword" AssociatedControlID="Password" Text="Password:"
                                meta:resourcekey="lblPasswordResource1" />
                        </td>
                        <td>
                            <asp:TextBox ID="Password" runat="server" TextMode="Password" Width="95%" meta:resourcekey="PasswordResource2" />
                        </td>
                        <td width="5px" align="right">
                            <asp:RequiredFieldValidator ID="valRequirePassword" runat="server" SetFocusOnError="True"
                                ControlToValidate="Password" Text="*" ValidationGroup="Login" meta:resourcekey="valRequirePasswordResource1" />
                        </td>
                    </tr>
                </table>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td>
                            <asp:CheckBox ID="RememberMe" runat="server" Text="Remember me" meta:resourcekey="RememberMeResource1">
                            </asp:CheckBox>
                        </td>
                        <td align="right">
                            <asp:ImageButton ID="Submit" runat="server" AlternateText="Login" CommandName="Login"
                                ImageUrl="~/images/go.gif" ValidationGroup="Login" meta:resourcekey="SubmitResource1" />
                        </td>
                        <td width="5px" align="right">
                            &nbsp;
                        </td>
                    </tr>
                </table>
                <br />
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td>
                            <asp:TextBox runat="server" ID="txtOpenId" Width="200" class="openid_identifier" />
                        </td>
                        <td>
                            <asp:ImageButton runat="server" ID="btnLogon" AlternateText="Login Using OpenId"
                                ImageUrl="~/images/open-id-login.gif" OnClick="btnLogon_Click" /><br />
                        </td>
                        <td width="5px" align="right">
                            &nbsp;
                        </td>
                    </tr>
                </table>
                <div class="LoginLinks">
                    <asp:HyperLink ID="lnkRegister" runat="server" NavigateUrl="~/Register.aspx" meta:resourcekey="lnkRegisterResource1">Create new account</asp:HyperLink><br />
                    <asp:HyperLink ID="lnkPasswordRecovery" runat="server" NavigateUrl="~/PasswordRecovery.aspx"
                        meta:resourcekey="lnkPasswordRecoveryResource1">I forgot my password</asp:HyperLink>
                </div>
            </LayoutTemplate>
        </asp:Login>
        <asp:Label runat="server" ID="lblLoginRequired" Font-Bold="true">
You must be a registered user to access this page. If you already have an account, please login with
your credentials in the box on the upper-right corner. Otherwise <a href="Register.aspx">click here</a> to register now for free.
        </asp:Label>
        <asp:Label runat="server" ID="lblInsufficientPermissions" Font-Bold="true">
Sorry, the account you are logged with does not have the permissions required to access this page.
        </asp:Label>
        <asp:Label runat="server" ID="lblInvalidCredentials" Font-Bold="true">
The submitted credentials are not valid. Please check they are correct and try again. 
If you forgot your password, <a href="PasswordRecovery.aspx">click here</a> to recover it.
        </asp:Label>
    </div>
</asp:Content>
<asp:Content ID="RightColumnContent" ContentPlaceHolderID="RightColumn" runat="Server">
</asp:Content>
