﻿using System.Web.UI.HtmlControls;
using TheBeerHouse;


partial class Admin_Admin : System.Web.UI.MasterPage
{
    
    protected void Page_Load(object sender, System.EventArgs e)
    {
        
        if (!IsPostBack) {
            
                
            BindNavItems();
            
        }
    }
    
    public HtmlGenericControl pageBodyTag {
        get { return this.pageBody; }
    }
    
    protected void BindNavItems()
    {
        
        lvArticles.DataSource = AdminMenuItems.FetchArticleMenuItems();
        lvArticles.DataBind();

        lvStore.DataSource = AdminMenuItems.FetchShoppingCartMenuItems();
        lvStore.DataBind();

        lvNewsLetter.DataSource = AdminMenuItems.FetchNewsletterMenuItems();
        lvNewsLetter.DataBind();

        lvContactItems.DataSource = AdminMenuItems.FetchGalleryMenuItems();
        lvContactItems.DataBind();

        lvGallery.DataSource = AdminMenuItems.FetchGalleryMenuItems();
        lvGallery.DataBind();

        lvForums.DataSource = AdminMenuItems.FetchForumMenuItems();
        lvForums.DataBind();

        lvSecurity.DataSource = AdminMenuItems.FetchSecurityMenuItems();
        lvSecurity.DataBind();

        lvPolls.DataSource = AdminMenuItems.FetchPollMenuItems();
        lvPolls.DataBind();

        lvEvents.DataSource = AdminMenuItems.FetchEventsMenuItems();
        lvEvents.DataBind();

    }
    
}