﻿using System.Collections.Generic;
using System.Web.UI.WebControls;
using TheBeerHouse.Store;
using TheBeerHouse.UI;

partial class Admin_ManageDepartments : AdminPage
{
    
    protected void Page_Load(object sender, System.EventArgs e)
    {
        
        if (!IsPostBack) {
            BindDepartments();
            
        }
    }
    
    protected void BindDepartments()
    {
        using (DepartmentRepository lDepartmentsrpt = new DepartmentRepository()) {
            
            List<Department> lDepartments = lDepartmentsrpt.GetDepartments();
            lvDepartments.DataSource = lDepartments;
            lvDepartments.DataBind();
            
            DataPager pagerBottom = (DataPager)lvDepartments.FindControl("pagerBottom");
            
            if ((pagerBottom != null)) {
                if (lDepartments.Count <= pagerBottom.PageSize) {
                    pagerBottom.Visible = false;
                }
                else {
                    pagerBottom.Visible = true;
                }
            }
        }
    }
    
    protected void lvDepartments_PagePropertiesChanged(object sender, System.EventArgs e)
    {
        BindDepartments();
    }
    
}