﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="ManageOrders.aspx.cs" Inherits="Admin_ManageOrders" Title="Untitled Page" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="AdminContent" runat="Server">
    <asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
        <Services>
            <asp:ServiceReference Path="~/MembersService.asmx" />
        </Services>
    </asp:ScriptManagerProxy>
    <asp:UpdatePanel runat="server" ID="uppnlOrders">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" class="AdminLayout">
                <tr>
                    <td>
                        <h1>
                            Manage Orders</h1>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="dAdminHeader">
                            <ul>
                                <li><a href="ManageProducts.aspx"><span>Products</span></a></li>
                                <li><a href="AddEditProduct.aspx"><span>New Product</span></a></li>
                                <li><a href="ManageDepartments.aspx"><span>Departments</span></a></li>
                                <li><a href="AddEditDepartment.aspx"><span>New Department</span></a></li>
                                <li><a href="ManageOrders.aspx"><span>Orders</span></a></li>
                                <li><a href="ManageOrderStatuses.aspx"><span>Order Statuses</span></a></li>
                                <li><a href="AddEditOrderStatus.aspx"><span>New Order Status</span></a></li>
                            </ul>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="dOrderFilter">
                            <fieldset>
                                <legend>Orders by status</legend>Status:
                                <asp:DropDownList ID="ddlOrderStatuses" runat="server" DataTextField="Title" DataValueField="OrderStatusID"
                                    AutoPostBack="True" />
                                <br />
                                Order Date from:
                                <asp:TextBox ID="txtFromDate" runat="server" Width="80px" /><asp:Image runat="Server"
                                    ID="iFromDate" ImageUrl="~/images/Calendar.png" />
                                <asp:CalendarExtender ID="ceEventDate" runat="server" TargetControlID="txtFromDate"
                                    PopupButtonID="iFromDate">
                                </asp:CalendarExtender>
                                <asp:MaskedEditExtender ID="meeEventDate" runat="server" TargetControlID="txtFromDate"
                                    Mask="99/99/9999" MessageValidatorTip="true" OnFocusCssClass="MaskedEditFocus"
                                    OnInvalidCssClass="MaskedEditError" MaskType="Date" DisplayMoney="Left" AcceptNegative="Left" />
                                to:
                                <asp:TextBox ID="txtToDate" runat="server" Width="80px" />
                                <asp:Image runat="Server" ID="Image1" ImageUrl="~/images/Calendar.png" />
                                <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtToDate"
                                    PopupButtonID="iToDate">
                                </asp:CalendarExtender>
                                <asp:MaskedEditExtender ID="MaskedEditExtender1" runat="server" TargetControlID="txtToDate"
                                    Mask="99/99/9999" MessageValidatorTip="true" OnFocusCssClass="MaskedEditFocus"
                                    OnInvalidCssClass="MaskedEditError" MaskType="Date" DisplayMoney="Left" AcceptNegative="Left" />
                                <asp:Button ID="btnListByStatus" runat="server" Text="Load" ValidationGroup="ListByStatus" />
                                <asp:RequiredFieldValidator ID="valRequireFromDate" runat="server" ControlToValidate="txtFromDate"
                                    SetFocusOnError="true" ValidationGroup="ListByStatus" Text="<br />The From Date field is required."
                                    ToolTip="The From Date field is required." Display="Dynamic"></asp:RequiredFieldValidator>
                                <asp:CompareValidator runat="server" ID="valFromDateType" ControlToValidate="txtFromDate"
                                    SetFocusOnError="true" ValidationGroup="ListByStatus" Text="<br />The format of the From Date is not valid."
                                    ToolTip="The format of the From Date is not valid." Display="Dynamic" Operator="DataTypeCheck"
                                    Type="Date" />
                                <asp:RequiredFieldValidator ID="valRequireToDate" runat="server" ControlToValidate="txtToDate"
                                    SetFocusOnError="true" ValidationGroup="ListByStatus" Text="<br />The To Date field is required."
                                    ToolTip="The To Date field is required." Display="Dynamic"></asp:RequiredFieldValidator>
                                <asp:CompareValidator runat="server" ID="valToDateType" ControlToValidate="txtToDate"
                                    SetFocusOnError="true" ValidationGroup="ListByStatus" Text="<br />The format of the To Date is not valid."
                                    ToolTip="The format of the To Date is not valid." Display="Dynamic" Operator="DataTypeCheck"
                                    Type="Date" />
                                <br />
                                <div class="sectionsubtitle">
                                    Orders by customer</div>
                                Name:
                                <asp:TextBox ID="txtCustomerName" runat="server" />
                                <asp:Button ID="btnListByCustomer" runat="server" Text="Load" ValidationGroup="ListByCustomer" />
                                <asp:RequiredFieldValidator ID="valRequireCustomerName" runat="server" ControlToValidate="txtCustomerName"
                                    SetFocusOnError="true" ValidationGroup="ListByCustomer" Text="<br />The Customer Name field is required."
                                    ToolTip="The Customer Name field is required." Display="Dynamic"></asp:RequiredFieldValidator>
                                <asp:AutoCompleteExtender runat="server" ID="autoComplete1" BehaviorID="AutoCompleteEx"
                                    TargetControlID="txtCustomerName" ServicePath="~/MembersService.asmx" ServiceMethod="SearchUsersByName"
                                    MinimumPrefixLength="2" CompletionInterval="500" EnableCaching="true" CompletionSetCount="12" />
                                <br />
                                <div class="sectionsubtitle">
                                    Order Lookup</div>
                                ID:
                                <asp:TextBox ID="txtOrderID" runat="server" />
                                <asp:Button ID="btnOrderLookup" runat="server" Text="Find" ValidationGroup="OrderLookup" />
                                <asp:Label runat="server" ID="lblOrderNotFound" SkinID="FeedbackKO" Text="Order not found!"
                                    Visible="false" />
                                <asp:RequiredFieldValidator ID="valRequireOrderID" runat="server" ControlToValidate="txtOrderID"
                                    SetFocusOnError="true" ValidationGroup="OrderLookup" Text="<br />The Order ID field is required."
                                    ToolTip="The Order ID field is required." Display="Dynamic"></asp:RequiredFieldValidator>
                            </fieldset>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:ListView ID="lvOrders" runat="server"
                            OnPagePropertiesChanged="lvOrders_PagePropertiesChanged">
                            <LayoutTemplate>
                                <table cellspacing="0" cellpadding="0" class="AdminList">
                                    <tr class="AdminListHeader">
                                        <td>
                                        </td>
                                        <td>
                                            Items
                                        </td>
                                        <td>
                                            Cost
                                        </td>
                                        <td>
                                            Edit
                                        </td>
                                        <td>
                                            Delete
                                        </td>
                                    </tr>
                                    <tr id="itemPlaceholder" runat="server">
                                    </tr>
                                    <tr>
                                        <td colspan="5">
                                            <div class="pager">
                                                <asp:DataPager ID="pagerBottom" runat="server" PageSize="15" PagedControlID="lvOrders">
                                                    <Fields>
                                                        <asp:NextPreviousPagerField ButtonCssClass="command" FirstPageText="«" PreviousPageText="‹"
                                                            RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="true" ShowPreviousPageButton="true"
                                                            ShowLastPageButton="false" ShowNextPageButton="false" />
                                                        <asp:NumericPagerField ButtonCount="7" NumericButtonCssClass="command" CurrentPageLabelCssClass="current"
                                                            NextPreviousButtonCssClass="command" />
                                                        <asp:NextPreviousPagerField ButtonCssClass="command" LastPageText="»" NextPageText="›"
                                                            RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="false" ShowPreviousPageButton="false"
                                                            ShowLastPageButton="true" ShowNextPageButton="true" />
                                                    </Fields>
                                                </asp:DataPager>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </LayoutTemplate>
                            <EmptyDataTemplate>
                                <tr>
                                    <td colspan="5">
                                        <p>
                                            Sorry there are no Orders available at this time.</p>
                                    </td>
                                </tr>
                            </EmptyDataTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <%#Eval("AddedBy")%>
                                        on
                                        <%#String.Format("{0:d}", Eval("AddedDate"))%><br />
                                        Shipping:
                                        <%#Eval("ShippingMethod")%>
                                    </td>
                                    <td>
                                        <small>
                                            <asp:Repeater runat="server" ID="repOrderItems" DataSource='<%# Eval("OrderItems") %>'>
                                                <ItemTemplate>
                                                    <img src="../Images/ArrowR3.gif" border="0" alt="" />
                                                    [<%# Eval("SKU") %>]
                                                    <asp:HyperLink runat="server" ID="lnkProduct" Text='<%# Eval("Title") %>' NavigateUrl='<%# "~/ShowProduct.aspx?productID=" + Eval("ProductID") %>' />
                                                    - (<%# Eval("Quantity") %>)
                                                    <br />
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </small>
                                    </td>
                                    <td>
                                        Sub Total:
                                        <%#String.Format("{0:C2}", Eval("SubTotal"))%><br />
                                        Shipping:
                                        <%#String.Format("{0:C2}", Eval("Shipping"))%><br />
                                        Grand Total:
                                        <%#String.Format("{0:C2}", Eval("GrandTotal"))%>
                                    </td>
                                    <td align="center">
                                        <a href="<%# String.Format("AddEditOrder.aspx?OrderId={0}", Eval("OrderId")) %>">
                                            <img src="../images/edit.gif" alt="" width="16" height="16" class="AdminImg" /></a>
                                    </td>
                                    <td align="center">
                                        <asp:ImageButton runat="server" ID="btnDelete" CommandArgument='<%# Eval("OrderId").ToString() %>'
                                            CommandName="Delete" ImageUrl="~/images/delete.gif" AlternateText="Delete" CssClass="AdminImg"
                                            OnClientClick="return confirm('Warning: This will delete the Product from the database.');" />
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <SelectedItemTemplate>
                                <tr>
                                    <td colspan="5">
                                        <hr width="80%" />
                                    </td>
                                </tr>
                            </SelectedItemTemplate>
                        </asp:ListView>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
