﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="ManageUsers.aspx.cs" Inherits="Admin_ManageUsers" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="AdminContent" runat="Server">
    <div>
        <div id="ContentTitle">
            <h1>
                User Management</h1>
        </div>
        <div id="dAdminHeader">
            <ul>
                <li><a href="ManageUsers.aspx"><span>Users</span></a></li>
                <li><a href="AddEditUser.aspx"><span>New User</span></a></li>
                <li><a href="ManageRoles.aspx"><span>Roles</span></a></li>
                <li><a href="AddEditRole.aspx"><span>New Role</span></a></li>
            </ul>
        </div>
    </div>
    <div id="ContentBody">
        <asp:UpdatePanel runat="server" ID="uppnlUsers">
            <ContentTemplate>
                <table style="width: 95%">
                    <tr>
                        <td>
                            <p>
                            </p>
                            <b>- Total registered users:
                                <asp:Literal runat="server" ID="lblTotUsers" /><br />
                                - Users online now:
                                <asp:Literal runat="server" ID="lblOnlineUsers" /></b>
                            <p>
                            </p>
                            Click one of the following link to display all users whose name begins with that
                            letter:
                            <p>
                            </p>
                            <asp:ListView runat="server" ID="lvAlphabet">
                                <LayoutTemplate>
                                    <span runat="server" id="itemPlaceHolder" />
                                </LayoutTemplate>
                                <ItemTemplate>
                                    <span>
                                        <asp:LinkButton ID="LinkButton1" runat="server" Text='<%# Container.DataItem %>'
                                            CommandArgument='<%# Container.DataItem %>' />&nbsp;&nbsp;</span>
                                </ItemTemplate>
                            </asp:ListView>
                            <p>
                            </p>
                            Otherwise use the controls below to search users by partial username or e-mail:
                            <p>
                            </p>
                            <asp:DropDownList runat="server" ID="ddlSearchTypes" CssClass="formStyleDropDown">
                                <asp:ListItem Text="UserName" Selected="true" />
                                <asp:ListItem Text="E-mail" />
                            </asp:DropDownList>
                            contains
                            <asp:TextBox runat="server" ID="txtSearchText" CssClass="formField" />
                            <asp:Button runat="server" ID="btnSearch" Text="Search" />
                            <br />
                            <asp:AutoCompleteExtender runat="server" ID="autoComplete1" BehaviorID="AutoCompleteEx"
                                TargetControlID="txtSearchText" ServicePath="~/MembersService.asmx" ServiceMethod="SearchUsersByName"
                                MinimumPrefixLength="2" CompletionInterval="500" EnableCaching="true" CompletionSetCount="12" />
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Literal runat="server" ID="ltlstatus" />
                            <asp:Button ID="Button1" runat="server" Text="New User" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:ListView ID="lvUsers" runat="server"
                        OnItemDeleting="lvUsers_ItemDeleting">
                                <LayoutTemplate>
                                    <table cellspacing="0" cellpadding="0" class="AdminList">
                                        <tr class="AdminListHeader">
                                            <td>
                                                UserName
                                            </td>
                                            <td>
                                                Edit
                                            </td>
                                            <td>
                                                Delete
                                            </td>
                                        </tr>
                                        <tr id="itemPlaceholder" runat="server">
                                        </tr>
                                    </table>
                                </LayoutTemplate>
                                <EmptyDataTemplate>
                                    <tr>
                                        <td colspan="3">
                                            <p>
                                                Sorry there are no Users available at this time.</p>
                                        </td>
                                    </tr>
                                </EmptyDataTemplate>
                                <ItemTemplate>
                                    <tr>
                                        <td class="ListTitle">
                                            <a href="AddEditUser.aspx?CurrentUserName=<%#Eval("UserName")%>">
                                                <%#Eval("UserName")%></a>
                                        </td>
                                        <td>
                                            <a href="AddEditUser.aspx?CurrentUserName=<%#Eval("UserName")%>">
                                                <img src="../images/edit.gif" alt="" width="16" height="16" class="AdminImg" /></a>
                                        </td>
                                        <td>
                                            <asp:ImageButton ID="btnDelete" AlternateText="Delete this User?" ImageUrl='~/images/delete.gif'
                                                CausesValidation="False" runat="server" CommandName="Delete" OnClientClick="ConfirmMsg('User');" />
                                        </td>
                                    </tr>
                                </ItemTemplate>
                            </asp:ListView>
                            <div class="pager">
                                <asp:DataPager ID="pagerBottom" runat="server" PageSize="10" PagedControlID="lvUsers"
                                    QueryStringField="pageNo">
                                    <Fields>
                                        <asp:NextPreviousPagerField ButtonCssClass="command" FirstPageText="«" PreviousPageText="‹"
                                            RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="true" ShowPreviousPageButton="true"
                                            ShowLastPageButton="false" ShowNextPageButton="false" />
                                        <asp:NumericPagerField ButtonCount="7" NumericButtonCssClass="command" CurrentPageLabelCssClass="current"
                                            NextPreviousButtonCssClass="command" />
                                        <asp:NextPreviousPagerField ButtonCssClass="command" LastPageText="»" NextPageText="›"
                                            RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="false" ShowPreviousPageButton="false"
                                            ShowLastPageButton="true" ShowNextPageButton="true" />
                                    </Fields>
                                </asp:DataPager>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
