﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="AddEditProduct.aspx.cs" 
Inherits="Admin_AddEditProduct" Title="Untitled Page" ValidateRequest ="false" %>

<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="AdminContent" runat="Server">
    <asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
    </asp:ScriptManagerProxy>
    <table cellpadding="0" cellspacing="0" class="AdminLayout">
        <tr>
            <td>
                <h1>
                    Manage Products</h1>
            </td>
        </tr>
        <tr>
            <td>
                <div id="dAdminHeader">
                    <ul>
                        <li><a href="ManageProducts.aspx"><span>Products</span></a></li>
                        <li><a href="AddEditProduct.aspx"><span>New Product</span></a></li>
                        <li><a href="ManageDepartments.aspx"><span>Departments</span></a></li>
                        <li><a href="AddEditDepartment.aspx"><span>New Department</span></a></li>
                        <li><a href="ManageOrders.aspx"><span>Orders</span></a></li>
                        <li><a href="ManageOrderStatuses.aspx"><span>Order Statuses</span></a></li>
                        <li><a href="AddEditOrderStatus.aspx"><span>New Order Status</span></a></li>
                    </ul>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div class="sectiontitle">
                    <h1>
                        <asp:Literal runat="server" ID="ltlStatus" Text="Create or Edit a Product" /></h1>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div id="AddEditDetails">
                    <table cellspacing="1" cellpadding="1" width="97%" align="center" border="0">
                        <tr>
                            <td>
                                Product ID
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlProductID"></asp:Literal>
                            </td>
                            <td rowspan="3">
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Department
                            </td>
                            <td>
                                <asp:DropDownList runat="server" ID="ddlDepartment">
                                </asp:DropDownList>
                                <sup><font color="red">*</font></sup>
                                <asp:RequiredFieldValidator runat="server" ID="rfvDepartment" ControlToValidate="ddldepartment"
                                    InitialValue="0" ErrorMessage="You must select a department"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Title
                            </td>
                            <td>
                                <asp:TextBox runat="server" CssClass="formField" ID="txtTitle"></asp:TextBox><sup><font
                                    color="red">*</font></sup>
                                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator1" ControlToValidate="txtTitle"
                                    ErrorMessage="You must enter a product title"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                Description
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <FCKeditorV2:FCKeditor ID="txtDescription" runat="server" ToolbarSet="TheBeerHouse"
                                    Height="400px" Width="100%" BasePath="~/fckeditor/" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                SKU
                            </td>
                            <td>
                                <asp:TextBox runat="server" CssClass="formField" ID="txtSKU"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="valRequireSKU" runat="server" ControlToValidate="txtSKU"
                                    SetFocusOnError="true" Text="The SKU field is required." ToolTip="The SKU field is required."
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                            </td>
                            <td rowspan="12" valign="top" align="center">
                                <asp:Image runat="server" ID="iThumbnail" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Unit Price
                            </td>
                            <td>
                                <asp:TextBox runat="server" CssClass="formField" ID="txtUnitPrice"></asp:TextBox>
                                <asp:MaskedEditExtender ID="txtUnitPrice_MaskedEditExtender" runat="server" AutoComplete="False"
                                    CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" CultureDateFormat=""
                                    CultureDatePlaceholder="" CultureDecimalPlaceholder="" CultureThousandsPlaceholder=""
                                    CultureTimePlaceholder="" DisplayMoney="Left" Enabled="True" Mask="99,999.99"
                                    MaskType="Number" TargetControlID="txtUnitPrice">
                                </asp:MaskedEditExtender>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Discount Percentage
                            </td>
                            <td>
                                <asp:TextBox runat="server" CssClass="formField" ID="txtDiscountPercentage"></asp:TextBox>
                                <asp:MaskedEditExtender ID="txtDiscountPercentage_MaskedEditExtender" runat="server" 
                                    AutoComplete="False" CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder=""
                                    CultureDateFormat="" CultureDatePlaceholder="" CultureDecimalPlaceholder="" CultureThousandsPlaceholder=""
                                    CultureTimePlaceholder="" Enabled="True" Mask="999.99" MaskType="Number" TargetControlID="txtDiscountPercentage">
                                </asp:MaskedEditExtender>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units In Stock
                            </td>
                            <td>
                                <asp:TextBox runat="server" CssClass="formField" ID="txtUnitsInStock"></asp:TextBox>
                                <asp:MaskedEditExtender ID="MaskedEditExtender1" runat="server" AutoComplete="False"
                                    CultureAMPMPlaceholder="" CultureCurrencySymbolPlaceholder="" CultureDateFormat=""
                                    CultureDatePlaceholder="" CultureDecimalPlaceholder="" CultureThousandsPlaceholder=""
                                    CultureTimePlaceholder="" DisplayMoney="None" Enabled="True" Mask="99,999.99"
                                    MaskType="Number" TargetControlID="txtUnitsInStock">
                                </asp:MaskedEditExtender>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Image
                            </td>
                            <td>
                                <asp:FileUpload runat="server" CssClass="formField" ID="fImage"></asp:FileUpload>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Votes
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlVotes"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Total Rating
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlTotalRating"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Added Date
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlAddedDate"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Added By
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlAddedBy"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Updated Date
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlUpdatedDate"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Updated By
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlUpdatedBy"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Active
                            </td>
                            <td>
                                <asp:Literal runat="server" ID="ltlActive"></asp:Literal>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="2">
                                <table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
                                    <tr>
                                        <td align="center" style="height: 16px">
                                            <asp:Button ID="cmdCancel" runat="server" BorderStyle="None" Text="Cancel" CausesValidation="false" OnClick="cmdCancel_Click" />
                                        </td>
                                        <td align="center" style="height: 16px">
                                            <asp:Button ID="cmdDelete" Visible="False" runat="server" BorderStyle="None" CausesValidation="False"
                                                Text="Delete" OnClick="cmdDelete_Click" OnClientClick="return confirm('Warning: This will delete the Products from the database.');" />
                                        </td>
                                        <td align="center" style="height: 16px">
                                            <asp:Button ID="cmdUpdate" runat="server" BorderStyle="None" Text="Update" OnClick="cmdUpdate_Click" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
</asp:Content>
