﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="ManageNewsLetters.aspx.cs" Inherits="Admin_ManageNewsLetters" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="AdminContent" runat="Server">
    <asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
    </asp:ScriptManagerProxy>
    <div id="dAdmin">
        <h1>
            Manage Newsletters</h1>
        <div id="dAdminHeader">
            <ul>
                <li><a href="ManageNewsletters.aspx"><span>Newsletters</span></a></li>
                <li><a href="AddEditNewsletter.aspx"><span>New Newsletter</span></a></li>
            </ul>
        </div>
        <br />
        <p>
            Here is the list of archived newsletters sent in the past. Click on the newsletter's
            subject to read the whole content.</p>
        <asp:ListView runat="server" ID="lvNewsLetters" DataKeyNames="NewsLetterId"
                        OnPagePropertiesChanged="lvNewsLetters_PagePropertiesChanged">
            <LayoutTemplate>
                <ul class="NewsletterList">
                    <li runat="server" id="itemPlaceHolder" />
                </ul>
                <div class="pager">
                    <asp:DataPager ID="pagerBottom" runat="server" PageSize="15" PagedControlID="lvNewsLetters">
                        <Fields>
                            <asp:NextPreviousPagerField ButtonCssClass="command" FirstPageText="«" PreviousPageText="‹"
                                RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="true" ShowPreviousPageButton="true"
                                ShowLastPageButton="false" ShowNextPageButton="false" />
                            <asp:NumericPagerField ButtonCount="7" NumericButtonCssClass="command" CurrentPageLabelCssClass="current"
                                NextPreviousButtonCssClass="command" />
                            <asp:NextPreviousPagerField ButtonCssClass="command" LastPageText="»" NextPageText="›"
                                RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="false" ShowPreviousPageButton="false"
                                ShowLastPageButton="true" ShowNextPageButton="true" />
                        </Fields>
                    </asp:DataPager>
                </div>
            </LayoutTemplate>
            <ItemTemplate>
                <li>
                    <asp:HyperLink ID="lnkNewsletter" runat="server" NavigateUrl='<%# "AddEditNewsletter.aspx?NewsletterID=" + Eval("NewsletterID") %>'
                        Text='<%# Eval("Subject") %>'></asp:HyperLink><small> - (sent on
                            <%#Eval("DateSent", "{0:d}")%>
                            )</small> </li>
            </ItemTemplate>
        </asp:ListView>
    </div>
</asp:Content>
