﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="ManageProducts.aspx.cs" Inherits="Admin_ManageProducts" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="AdminContent" runat="Server">
    <asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
    </asp:ScriptManagerProxy>
    <table cellpadding="0" cellspacing="0" class="AdminLayout">
        <tr>
            <td>
                <h1>
                    Manage Products</h1>
            </td>
        </tr>
        <tr>
            <td>
                <div id="dAdminHeader">
                    <ul>
                        <li><a href="ManageProducts.aspx"><span>Products</span></a></li>
                        <li><a href="AddEditProduct.aspx"><span>New Product</span></a></li>
                        <li><a href="ManageDepartments.aspx"><span>Departments</span></a></li>
                        <li><a href="AddEditDepartment.aspx"><span>New Department</span></a></li>
                        <li><a href="ManageOrders.aspx"><span>Orders</span></a></li>
                        <li><a href="ManageOrderStatuses.aspx"><span>Order Statuses</span></a></li>
                        <li><a href="AddEditOrderStatus.aspx"><span>New Order Status</span></a></li>
                    </ul>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <asp:DropDownList ID="ddlDepartments" runat="server" AutoPostBack="True" Width="220px">
                </asp:DropDownList>
                <asp:Literal runat="server" ID="lblSeparator">&nbsp;&nbsp;&nbsp;</asp:Literal>
                <asp:Literal runat="server" ID="lblPageSizePicker"><small><b>Products per page:</b></small></asp:Literal>
                <asp:DropDownList ID="ddlProductsPerPage" runat="server" AutoPostBack="True">
                    <asp:ListItem Value="5">5</asp:ListItem>
                    <asp:ListItem Value="10" Selected="True">10</asp:ListItem>
                    <asp:ListItem Value="25">25</asp:ListItem>
                    <asp:ListItem Value="50">50</asp:ListItem>
                    <asp:ListItem Value="100">100</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:UpdatePanel runat="server" ID="uppnlProductss">
                    <ContentTemplate>
                        <asp:ListView ID="lvProducts" runat="server"
                        OnPagePropertiesChanged="lvProducts_PagePropertiesChanged">
                            <LayoutTemplate>
                                <table cellspacing="0" cellpadding="0" class="AdminList">
                                    <tr class="AdminListHeader">
                                        <td colspan="2">
                                            Product
                                        </td>
                                        <td>
                                            Price Info
                                        </td>
                                        <td>
                                            Edit
                                        </td>
                                        <td>
                                            Delete
                                        </td>
                                    </tr>
                                    <tr id="itemPlaceholder" runat="server">
                                    </tr>
                                    <tr>
                                        <td colspan="5">
                                            <div class="pager">
                                                <asp:DataPager ID="pagerBottom" runat="server" PageSize="10" PagedControlID="lvProducts">
                                                    <Fields>
                                                        <asp:NextPreviousPagerField ButtonCssClass="command" FirstPageText="«" PreviousPageText="‹"
                                                            RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="true" ShowPreviousPageButton="true"
                                                            ShowLastPageButton="false" ShowNextPageButton="false" />
                                                        <asp:NumericPagerField ButtonCount="7" NumericButtonCssClass="command" CurrentPageLabelCssClass="current"
                                                            NextPreviousButtonCssClass="command" />
                                                        <asp:NextPreviousPagerField ButtonCssClass="command" LastPageText="»" NextPageText="›"
                                                            RenderDisabledButtonsAsLabels="true" ShowFirstPageButton="false" ShowPreviousPageButton="false"
                                                            ShowLastPageButton="true" ShowNextPageButton="true" />
                                                    </Fields>
                                                </asp:DataPager>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </LayoutTemplate>
                            <EmptyDataTemplate>
                                <tr>
                                    <td colspan="5">
                                        <p>
                                            Sorry there are no Productss available at this time.</p>
                                    </td>
                                </tr>
                            </EmptyDataTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <a href="<%# String.Format("AddEditProduct.aspx?ProductId={0}", Eval("ProductId")) %>">
                                            <img id="Img1" runat="server" src='<%# Eval("SmallImageUrl") %>' alt='<%# Eval("Title") %>'
                                                border="0" /></a>
                                    </td>
                                    <td>
                                        <a href="<%# String.Format("AddEditProduct.aspx?ProductId={0}", Eval("ProductId")) %>">
                                            <%# Eval("Title") %></a>
                                        <br />
                                        <%# Eval("SKU") %>
                                    </td>
                                    <td>
                                        <%#FormatPrice(Eval("UnitPrice"))%>
                                        <br />
                                        Discount:
                                        <%# Eval("DiscountPercentage") %>%
                                        <br />
                                        Units in Stock:
                                        <%# Eval("UnitsInStock") %>
                                    </td>
                                    <td align="center">
                                        <a href="<%# String.Format("AddEditProduct.aspx?ProductId={0}", Eval("ProductId")) %>">
                                            <img src="../images/edit.gif" alt="" width="16" height="16" class="AdminImg" /></a>
                                    </td>
                                    <td align="center">
                                        <asp:ImageButton runat="server" ID="btnDelete" CommandArgument='<%# Eval("DepartmentID").ToString() %>'
                                            CommandName="Delete" ImageUrl="~/images/delete.gif" AlternateText="Delete" CssClass="AdminImg"
                                            OnClientClick="return confirm('Warning: This will delete the Product from the database.');" />
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <AlternatingItemTemplate>
                                <tr class="AltAdminRow">
                                    <td>
                                        <a href="<%# String.Format("AddEditProduct.aspx?ProductId={0}", Eval("ProductId")) %>">
                                            <img id="Img1" runat="server" src='<%# Eval("SmallImageUrl") %>' alt='<%# Eval("Title") %>'
                                                border="0" /></a>
                                    </td>
                                    <td>
                                        <a href="<%# String.Format("AddEditProduct.aspx?ProductId={0}", Eval("ProductId")) %>">
                                            <%# Eval("Title") %></a>
                                        <br />
                                        <%# Eval("SKU") %>
                                    </td>
                                    <td>
                                        <%#FormatPrice(Eval("UnitPrice"))%>
                                        <br />
                                        Discount:
                                        <%# Eval("DiscountPercentage") %>%
                                        <br />
                                        Units in Stock:
                                        <%# Eval("UnitsInStock") %>
                                    </td>
                                    <td align="center">
                                        <a href="<%# String.Format("AddEditProduct.aspx?ProductId={0}", Eval("ProductId")) %>">
                                            <img src="../images/edit.gif" alt="" width="16" height="16" class="AdminImg" /></a>
                                    </td>
                                    <td align="center">
                                        <asp:ImageButton runat="server" ID="btnDelete" CommandArgument='<%# Eval("DepartmentID").ToString() %>'
                                            CommandName="Delete" ImageUrl="~/images/delete.gif" AlternateText="Delete" CssClass="AdminImg"
                                            OnClientClick="return confirm('Warning: This will delete the Product from the database.');" />
                                    </td>
                                </tr>
                            </AlternatingItemTemplate>
                            <ItemSeparatorTemplate>
                                <tr>
                                    <td colspan="5">
                                        <hr />
                                    </td>
                                </tr>
                            </ItemSeparatorTemplate>
                        </asp:ListView>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
        </tr>
    </table>
</asp:Content>
